Subject: Forwarded: Germ. Time

From: [email-masked]
Date: 20 Feb 1996 10:14:02 -0800

Dear AgForestry Folks:

I am conducting an experiment involving the germination times of 
certain tree species, and I have yet to be able to find the average 
germination time for the involved species.  If someone could send me 
this information I would be greatly apreciative.
  Tree species:
      Mahogany (Swietena macrophylla)
      Albizia (procera)
      Sugar Maple
      White Ash
   Any assistance will is welcome, thank you.
       Sincerely, Derek C. Tucker, Senior High School student

e-mail address: [email-masked]

Thanks for helping this student!
Regards,
Toby Horn

Toby Mogollon Horn, Ph.D.			*THE DNAHAND*   
Life Science and Biotechnology Laboratory			<[email-masked]>
Thomas Jefferson High School for Science and Technology
6560 Braddock Road
Alexandria, VA 22312	phone 703-750-5024		fax 703-750-5010